Problems with UE4Editor after setting it up

I’ve followed the tutorial [here][1] step by step and everything compiled without any problems, however when I tried to run UE4Editor I got the following error: ./UE4Editor: error while loading shared libraries: libLND.so: cannot open shared object file: No such file or directory


UPDATE:
Well, I managed to sidestep that problem by creating a symbolic link between all the files in the directory they were in, and the UE4E directory, namely:

ln -s /Engine/Source/ThirdParty/LinuxNativeDialogs/UELinuxNativeDialogs/lib/Linux/x86_64-unknown-linux-gnu/libLND(-gtk2, -gtk3, -qt4, -qt5).so /Engine/Binaries/Linux/libLND(-gtk2, -gtk3, -qt4, -qt5).so

However, once I started the UE4Editor what I got as a greeting was this:

Hey stebp-

In the Building On Linux page you linked, did you use 3dluvr’s repository or the Epic Games repository? Under “First Time Setup” change the first step to read “git clone https://github.com/EpicGames/UnrealEngine -b release” to make sure you get the latest release branch from GitHub. I would also suggest using a folder path other than the desktop for this. From here you can continue with the Setup.sh, GenerateProjectFiles.sh and the “make…” steps. Let us know if you run into any problems along the way.

Cheers

Doug Wilson

Hey Doug, I actually have the UnrealEngine folder cloned in my home directory.

I tried your suggestion, and this time I didn’t have to symbolically link libLND.so to the Binaries/Linux folder, however after running UE4Editor I am still getting the image above.

Just a quick check, is the language of your system set to something other than English? If so, do you see the same thing if you change the language setting? If not can check if you have the same issue with the 4.7 branch rather than the release branch?

Hey Doug, the language of my system was set to English (United States), so I tried changing it to English (United Kingdom); no difference. I’ll try the 4.7 branch. I tried running UE4Editor from the command line before I changed the language, and among all the messages that showed up, a few of them were in brown:

[2015.04.24-16.00.39:117][ 0]LogTextLocalizationManager:Warning: Loading localization resources contain conflicting entries for Namespace:UICommands, Key:Save_ToolTip): Resource: (/home/stebp/UnrealEngine/Engine/Content/Localization/Editor/en/Editor.locres) Hash: (-29098895) String: (Saves the current level to disk)Resource: (/home/stebp/UnrealEngine/Engine/Content/Localization/Engine/en/Engine.locres) Hash: (-1280300587) String: (Save selected data to vlog file)

[2015.04.24-16.00.39:118][ 0]LogTextLocalizationManager:Warning: Loading localization resources contain conflicting entries for (Namespace:ContentBrowser, Key:ImportAssetToolTip): Resource: (/home/stebp/UnrealEngine/Engine/Content/Localization/Editor/en/Editor.locres) Hash: (-630476809) String: (Import to {0}...) Resource: (/home/stebp/UnrealEngine/Engine/Content/Localization/Editor/en/Editor.locres) Hash: (1271782899) String: (Imports an asset from file to this folder.)

[2015.04.24-16.00.51:165][ 0]LogSlate:Warning: Failed to load font data from '../../../Engine/Content/Slate/Fonts/Roboto-Italic.ttf'

[2015.04.24-16.00.59:650][ 0]LogStreaming:Warning: Failed to read file '../../../Engine/Content/Editor/Slate//GameProjectDialog/Tab_Background.png' error. LogConfig:Warning: Failed to saved backup for config[Game] LogFileManager:Warning: ReadFile failed: Count=0 Length=15899 Error=No system errors available on this platform. for file ../../../Engine/Programs/ShaderCompileWorker/Intermediate/Config/CoalescedSourceConfigs/Input.ini

[2015.04.24-16.03.39:114][ 0]LogOnline:Warning: No default platform service specified for OnlineSubsystem

[2015.04.24-16.03.40:053][ 0]LogRHI:Warning: disabling reporting back of debug groups and markers to the OpenGL debug output callback

[2015.04.24-16.04.47:395][ 0]LogModuleManager:Warning: ModuleManager: Unable to load module 'AndroidRuntimeSettings' because the file '/home/stebp/UnrealEngine/Engine/Binaries/Linux/' was not found.

[2015.04.24-16.04.47:405][ 0]LogModuleManager:Warning: ModuleManager: Unable to load module 'AndroidPlatformEditor' because the file '/home/stebp/UnrealEngine/Engine/Binaries/Linux/' was not found.

[2015.04.24-16.05.00:674][ 0]LogSlate:Warning: Failed to load font data from '../../../Engine/Content/Editor/Slate/Fonts/Roboto-Regular.ttf'

[2015.04.24-16.05.00:675][ 0]LogSlate:Warning: Failed to load font data from '../../../Engine/Content/Editor/Slate/Fonts/Roboto-Bold.ttf'

[2015.04.24-16.06.03:672][ 0]LogTextLocalizationManager: The requested culture ('en_US') has no localization data; parent culture's ('en') localization data will be used.

Hey stebp-

What type of hardware and drivers are you using? It could be that drivers need to be updated if there is an issue supporting the textures format used. You can check this page for additional information.

Cheers

Doug Wilson